Aller au contenu principal

API Overview

The Ekomium Company API provides a REST-like resource map over Ekomium JSON-RPC. All endpoints use POST /jsonrpc with the execute_kw method.

Endpoints summary

MethodEkomium pathPlatform modelDescription
POST/api/v1/auth/logincommon.authenticateAuthenticate
GET/api/v1/salespos.orderSales & tickets
GET/api/v1/sales/{id}/linespos.order.lineOrder lines
GET/api/v1/refundspos.orderRefunds
GET/api/v1/cancellationspos.orderCancellations
GET/api/v1/sessions/closurespos.sessionCash closures
GET/api/v1/catalog/productsproduct.templateProduct catalog
GET/api/v1/pos/configspos.configPOS identifiers

Common parameters

ParameterTypeDescription
limitintegerMax records (default: 20, max: 200)
config_idintegerFilter by POS config / register
date_fromdatetimeFilter orders from date
date_todatetimeFilter orders to date

Response format

Ekomium returns records as JSON arrays:

{
"jsonrpc": "2.0",
"id": 1,
"result": [
{
"id": 1,
"name": "POS/00001",
"date_order": "2026-09-12 14:30:00",
"amount_total": 16.0,
"config_id": [1, "Main Register"],
"payment_ids": [1]
}
]
}

Many2one fields appear as [id, "display_name"] tuples.

OpenAPI spec

Download the OpenAPI 3.0 spec: openapi.yaml

Try it live

Open the API Playground to test any endpoint interactively.